
![Slate](support/banner.png)

Slate is a completely customizable framework for building rich text editors in the browser. You can think of it like a pluggable implementation of `contenteditable`, built with React and Immutable. Slate was inspired by libraries like [Draft.js](https://facebook.github.io/draft-js/) and [Prosemirror](http://prosemirror.net/).

###### Table of Contents

- [Principles](#principles)
- [Examples](#examples)


## Principles

- Built with React and Immutable for performant stateless re-rendering and developing ease.
- Based on a nested, recursive tree model just like the DOM, so that complex components are possible.
- Made with plugins as a first-class consideration, so that almost all the logic is customizable.
- Doesn't bake any opinions about the schema being edited into the core library.

## Examples

To get a sense for how Slate works, check out a few of the examples:

- Rich Text
- Plain Text
- Auto-markdown
- Links
- Tables
